[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.OnAlignInsertBefore

Event handler signalled to determine the order and placement for custom-aligned child controls.

## Declaration

Source position: controls.pp line 2343

`public property TWinControl.OnAlignInsertBefore : TAlignInsertBeforeEvent read FOnAlignInsertBefore write FOnAlignInsertBefore;`

## See also

TWinControl.AlignControls |  | Repositions and resizes the control and child controls.
TWinControl.CustomAlignInsertBefore |  | Indicates whether the specified controls were custom-aligned using the OnAlignInsertBefore handler.
TWinControl.DoAllAutoSize |  | Performs actions to resize and align the control and all of its children.
TAlignInsertBeforeEvent |  | Type of an OnAlignInsertBefore handler.